# Method: sellers.adPlays.batchCreate

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#body.BatchCreateAdPlaysResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#body.aspect)
- [CreateAdPlayRequest](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#CreateAdPlayRequest)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#CreateAdPlayRequest.SCHEMA_REPRESENTATION)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#examples)

Creates new ad plays in batch.

- Max allowed number of ad plays in a batch is 1000.
- Returns the newly created ad plays if successful.
- Returns error code `INVALID_ARGUMENT` if invalid ad unit, order, line, or creative are specified.
- Returns error code `ALREADY_EXISTS` if an ad play for the same ad unit, order, line, and creative with the same startTime already exists.
- Returns error code `NOT_FOUND` if no matching ad unit, order, line, or creative asset found.
- Returns error code `FAILED_PRECONDITION` if the request contains both resource name and external id.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1/{parent=sellers/*}/adPlays:batchCreate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The seller resource name. Format: sellers/{seller} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#CreateAdPlayRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays/batchCreate#CreateAdPlayRequest`)`` Required. The ad plays to create. Max allowed number of ad plays in a batch is 1000. Start time should be in the past and at most 3 days before creation date. End time should be in the past and after start time. |

### Response body

If successful, the response body contains data with the following structure:
Response for creating ad plays in batch.

| JSON representation |
|---|
| ``` { "adPlays": [ { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays#AdPlay`) } ] } ``` |

| Fields ||
|---|---|
| `adPlays[]` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays#AdPlay`)`` The ad plays that were created. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateAdPlayRequest

Request message for AdPlayService.CreateAdPlay.

| JSON representation |
|---|
| ``` { "parent": string, "adPlay": { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays#AdPlay`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The seller resource name. Format: sellers/{seller} |
| `adPlay` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adPlays#AdPlay`)`` Required. The ad play to create. Ad play name will be generated by the system and should not be set. Start time should be in the past and at most 3 days before creation date. End time should be in the past and after start time. |